import { __decorate } from "tslib";
import Intact from 'intact-angular';
import { NgModule, NO_ERRORS_SCHEMA } from '@angular/core';
import { Carousel, CarouselItem } from './components/carousel';
export var CarouselComponent = Intact.decorate(Carousel, 'k-carousel');
export var CarouselItemComponent = Intact.decorate(CarouselItem, 'k-carousel-item');
var components = [CarouselComponent, CarouselItemComponent];
var CarouselModule = /** @class */ (function () {
    function CarouselModule() {
    }
    CarouselModule = __decorate([
        NgModule({
            declarations: components,
            exports: components,
            schemas: [NO_ERRORS_SCHEMA]
        })
    ], CarouselModule);
    return CarouselModule;
}());
export { CarouselModule };